WSLAY_EVENT_SET_ERROR(3)

NAME
wslay_event_set_error - Set error code

SYNOPSIS

#include <wslay/wslay.h>

void wslay_event_set_error(wslay_event_context_ptr ctx, int val)

DESCRIPTION

wslay_event_set_error() sets error code to tell the library there is an error. This function is typically used in user defined callback functions. See the description of callback function to know which error code should be used.

RETURN VALUE

wslay_event_set_error() does not return value.

AUTHOR
Tatsuhiro Tsujikawa

COPYRIGHT
2012, 2015, Tatsuhiro Tsujikawa